package com.ruoyi.jarvis.service;

import com.ruoyi.jarvis.domain.GiftCoupon;
import java.util.List;

/**
 * 礼金信息 Service 接口
 */
public interface IGiftCouponService {

    /**
     * 查询礼金列表
     */
    List<GiftCoupon> selectGiftCouponList(GiftCoupon giftCoupon);

    /**
     * 根据礼金Key查询详情
     */
    GiftCoupon selectGiftCouponByKey(String giftCouponKey);

    /**
     * 查询礼金统计信息
     */
    GiftCoupon selectGiftCouponStatistics(GiftCoupon giftCoupon);

    /**
     * 新增礼金信息
     */
    int insertGiftCoupon(GiftCoupon giftCoupon);

    /**
     * 更新礼金信息
     */
    int updateGiftCoupon(GiftCoupon giftCoupon);
}
